Version française
Home     About     Download     Resources     Contact us    
Browse thread
OpenGL support in LablGTK2?
[ Home ] [ Index: by date | by threads ]
[ Search: ]

[ Message by date: previous | next ] [ Message in thread: previous | next ] [ Thread: previous | next ]
Date: -- (:)
From: Jacques Garrigue <garrigue@m...>
Subject: Re: [Caml-list] OpenGL support in LablGTK2?
From: Matt Gushee <mgushee@havenrock.com>
> Olivier Andrieu wrote:
> 
>  > Yes, there was some discussions about this on the GTK lists some time
>  > ago (web archives seem to be down so I'm unable to be more
>  > specific). I think indeed gtkglarea isn't maintained anymore and the
>  > new widget is called GtkGLExt :
>  >
>  > http://gtkglext.sourceforge.net/
> 
> 
> Right, I noticed that, but it's not a drop-in replacement. Do you have 
> plans to support gtkglext, or does someone else need to take 
> responsibility for that?

Well, I suppose it would be me...

The reason I stuck with gtkglarea-1.99: laziness of course, but also
because it seems much closer to the needs of most people than
gtkglext. gtkglext contains much more functions, and makes it more
complex to do simple things.

Now, it seems that the gtk people have botched something, and gtkglarea
have stopped working. If this is not solved soon, I suppose lablgtk2
will have to move to gtkglext, and emulate gtkglarea on top of it (you
don't want API changes, do you?)

That's life.

Jacques Garrigue